LDATTACH(8)

NAMN
ldattach - koppla en linjedisciplin till en seriell linje

SYNOPSIS

ldattach [-1278denoVh] [-i iflag] [-s speed] [-m mtu] ldisc device

BESKRIVNING

Daemon ldattach öppnar den angivna filen enhet (som bör referera till en seriell enhet) och kopplar linjedisciplinen ldisc till den för bearbetning av skickade och/eller mottagna data. Den går sedan in i bakgrunden och håller enheten öppen så att linjedisciplinen förblir laddad.

Linjedisciplinen ldisc kan anges antingen med namn eller med nummer.

För att koppla bort linjedisciplinen, kill(1) ldattach-processen.

Utan argument skriver ldattach ut användningsinformation.

LINJEDISCIPLINER

Beroende på kernelversionen stöds följande linjediscipliner:

TTY(0)
    Den förinställda linjedisciplinen ger transparent drift (raw mode) samt terminalens vanliga möjligheter att redigera linjer (cooked mode).

SLIP(1)
    SLIP-protokollprocessor (Serial Line IP) för överföring av TCP/IP-paket över seriella linjer.

MOUSE(2)
    Drivrutin för RS232-anslutna pekdon (seriemöss).

PPP(3)
    PPP-processor (Point to Point Protocol) för överföring av nätverkspaket över seriella linjer.

BAND(4); AX25(5); X25(6)
    Linjedrivrutin för överföring av X.25-paket över asynkrona seriella linjer.

6PACK(7); R3964(9)
    Drivrutin för Simatic R3964-modul.

IRDA(11)
    Linux IrDa-drivrutin (infraröd dataöverföring) - se

HDLC(13)
    Synkron HDLC-drivrutin.

SYNC_PPP(14)
    Synkron PPP-drivrutin.

HCI(15)
    Bluetooth HCI UART-drivrutin.

GIGASET_M101(16)
    Drivrutin för Siemens Gigaset M101 seriell DECT-adapter.

PPS(18)
    Drivrutin för PPS-källa (Pulse Per Second) för seriell linje.

GSM0710(21)
    Drivrutin för GSM 07.10 multiplexing protocol modem (CMUX).

FLAGGOR

-1, --onestopbit
    Ställ in antalet stoppbitar för den seriella linjen till ett.

-2, --twostopbits
    Ställ in antalet stoppbitar för den seriella linjen till två.

-7, --sevenbits
    Ställ in teckenstorleken för den seriella linjen till 7 bitar.

-8, --eightbits
    Ställ in teckenstorleken för den seriella linjen till 8 bitar.

-d, --debug
    Håll ldattach i förgrunden så att den kan avbrytas eller felsökas och för att skriva ut utförliga meddelanden om hur den fortskrider till standardfelutmatningen.

-e, --evenparity
    Ställ in pariteten på den seriella linjen till jämn.

-i, --iflag värde...
    Ställer in de angivna bitarna i c_iflag-ordet på den seriella linjen. Det angivna värdet kan vara ett tal eller ett symboliskt namn. Om värde föregås av ett minustecken rensas de angivna bitarna istället. Flera kommaseparerade värden kan anges för att ställa in och rensa flera bitar.

-n, --noparity
    Ställ in pariteten för den seriella linjen till none.

-o, --oddparity
    Ställ in pariteten på den seriella linjen till udda.

-s, --speed värde
    Ställ in hastigheten (baudhastigheten) för den seriella linjen till det angivna värdet.

-c, --intro-command sträng
    Definiera ett introkommando som skickas via den seriella linjen innan ldattach anropas. T.ex. i samband med linjedisciplin GSM0710 är kommandot 'AT+CMUX=0\r' vanligtvis lämpligt för att växla modemet till CMUX-läge.

-p, --pause värde
    Sömn i värde sekunder före anropet av ldattach. Standard är en sekund.

-m, --mtu value
    Set maximum frame size for GSM0710 CMUX. If not specified, traditionally the default of 127 have been set by ldattach. This differs from 3GPP TS 27.010 default value of 31 bytes, so it is recommended to specify

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

UPPHOVSPERSONER

SE ÄVEN

inputattach(1), ttys(4)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot ldattach ingår i paketet util-linux som kan hämtas från